Loading...
Searching...
No Matches
Common Types and Definitions

These types and values are common to both the simplified and advanced GEIS interfaces. More...

## Typedefs

typedef enum GeisStatus | GeisStatus
| Errors returned from calls.
typedef enum GeisAttrType | GeisAttrType
| Attribute data types.

## Enumerations

enum | GeisStatus { GEIS_STATUS_SUCCESS , GEIS_STATUS_CONTINUE , GEIS_STATUS_EMPTY , GEIS_STATUS_NOT_SUPPORTED , GEIS_BAD_ARGUMENT , GEIS_UNKNOWN_ERROR , GEIS_STATUS_BAD_ARGUMENT , GEIS_STATUS_UNKNOWN_ERROR }
| Errors returned from calls. More...
enum | GeisAttrType { GEIS_ATTR_TYPE_UNKNOWN , GEIS_ATTR_TYPE_BOOLEAN , GEIS_ATTR_TYPE_FLOAT , GEIS_ATTR_TYPE_INTEGER , GEIS_ATTR_TYPE_POINTER , GEIS_ATTR_TYPE_STRING }
| Attribute data types. More...

## Detailed Description

These types and values are common to both the simplified and advanced GEIS interfaces.

## Typedef Documentation

## GeisAttrType

typedef enum GeisAttrType GeisAttrType

Attribute data types.

## GeisStatus

typedef enum GeisStatus GeisStatus

Errors returned from calls.

Most GEIS API calls return a status code indicating success or, in the event of a lack of success, the reson for failure.

## Enumeration Type Documentation

## GeisAttrType

enum GeisAttrType

Attribute data types.

Enumerator
GEIS_ATTR_TYPE_UNKNOWN | Attr is an unknown type.
GEIS_ATTR_TYPE_BOOLEAN | Attr is truth-valued .
GEIS_ATTR_TYPE_FLOAT | Attr is real-valued.
GEIS_ATTR_TYPE_INTEGER | Attr is a counting number.
GEIS_ATTR_TYPE_POINTER | Attr is a pointer to a data structure.
GEIS_ATTR_TYPE_STRING | Attr is a null-terminated UTF-8 string.

## GeisStatus

enum GeisStatus

Errors returned from calls.

Most GEIS API calls return a status code indicating success or, in the event of a lack of success, the reson for failure.

Enumerator
GEIS_STATUS_SUCCESS | normal successful completion
GEIS_STATUS_CONTINUE | normal successful completion with data still remaining
GEIS_STATUS_EMPTY | normal successful completion with no data retrieved
GEIS_STATUS_NOT_SUPPORTED | a requested feature is not supported
GEIS_BAD_ARGUMENT | a bad argument value was passed
GEIS_UNKNOWN_ERROR | any other error condition
GEIS_STATUS_BAD_ARGUMENT | a bad argument value was passed
GEIS_STATUS_UNKNOWN_ERROR | any other error condition

Examples
  geis2.c.